{#
/**
 * @file
 * Theme override to display a menu.
 *
 * Available variables:
 * - menu_name: The machine name of the menu.
 * - items: A nested list of menu items. Each menu item contains:
 *   - attributes: HTML attributes for the menu item.
 *   - below: The menu item child items.
 *   - title: The menu link title.
 *   - url: The menu link url, instance of \Drupal\Core\Url
 *   - localized_options: Menu link localized options.
 *   - is_expanded: TRUE if the link has visible children within the current
 *     menu tree.
 *   - is_collapsed: TRUE if the link has children within the current menu tree
 *     that are not currently visible.
 *   - in_active_trail: TRUE if the link is in the active trail.
 */
#}

<nav class="navbar navbar-expand navbar-light py-0 px-0 pt-lg-4 sidebar_right" id="sidebar_nav">
  <div class="container-fluid p-0">
    <div class="collapse navbar-collapse" id="sidebar_navbar">
      <ul class="navbar-nav flex-column w-100">
        {% import _self as menus %}

        {#
          We call a macro which calls itself to render the full tree.
          @see https://twig.symfony.com/doc/1.x/tags/macro.html
        #}
        {{ menus.menu_links(items, attributes, 0) }}
        {% macro menu_links(items, attributes, menu_level) %}
          {% import _self as menus %}
          {% if items %}
            {% for item in items %}
              {%
                set item_classes = [
                'nav-item bg-white mb-0 mb-lg-1',
                item.in_active_trail ? 'active'
              ]
              %}
              <li{{ item.attributes.addClass(item_classes) }}>
                <a class="nav-link py-3" aria-current="page" href="{{ item.url }}">{{ item.title }}</a>
                <a class="nav-expand"></a>
              </li>
            {% endfor %}
          {% endif %}
        {% endmacro %}
      </ul>
    </div>
  </div>
</nav>
